// Code generated by protoc-gen-go. DO NOT EDIT.
// source: engine.proto

package pulumirpc

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import empty "github.com/golang/protobuf/ptypes/empty"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// LogSeverity is the severity level of a log message.  Errors are fatal; all others are informational.
type LogSeverity int32

const (
	LogSeverity_DEBUG   LogSeverity = 0
	LogSeverity_INFO    LogSeverity = 1
	LogSeverity_WARNING LogSeverity = 2
	LogSeverity_ERROR   LogSeverity = 3
)

var LogSeverity_name = map[int32]string{
	0: "DEBUG",
	1: "INFO",
	2: "WARNING",
	3: "ERROR",
}
var LogSeverity_value = map[string]int32{
	"DEBUG":   0,
	"INFO":    1,
	"WARNING": 2,
	"ERROR":   3,
}

func (x LogSeverity) String() string {
	return proto.EnumName(LogSeverity_name, int32(x))
}
func (LogSeverity) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_engine_fba9c4feb5d1b1dc, []int{0}
}

type LogRequest struct {
	// the logging level of this message.
	Severity LogSeverity `protobuf:"varint,1,opt,name=severity,enum=pulumirpc.LogSeverity" json:"severity,omitempty"`
	// the contents of the logged message.
	Message string `protobuf:"bytes,2,opt,name=message" json:"message,omitempty"`
	// the (optional) resource urn this log is associated with.
	Urn string `protobuf:"bytes,3,opt,name=urn" json:"urn,omitempty"`
	// the (optional) stream id that a stream of log messages can be associated with. This allows
	// clients to not have to buffer a large set of log messages that they all want to be
	// conceptually connected.  Instead the messages can be sent as chunks (with the same stream id)
	// and the end display can show the messages as they arrive, while still stitching them together
	// into one total log message.
	//
	// 0/not-given means: do not associate with any stream.
	StreamId             int32    `protobuf:"varint,4,opt,name=streamId" json:"streamId,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LogRequest) Reset()         { *m = LogRequest{} }
func (m *LogRequest) String() string { return proto.CompactTextString(m) }
func (*LogRequest) ProtoMessage()    {}
func (*LogRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_engine_fba9c4feb5d1b1dc, []int{0}
}
func (m *LogRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LogRequest.Unmarshal(m, b)
}
func (m *LogRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LogRequest.Marshal(b, m, deterministic)
}
func (dst *LogRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LogRequest.Merge(dst, src)
}
func (m *LogRequest) XXX_Size() int {
	return xxx_messageInfo_LogRequest.Size(m)
}
func (m *LogRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_LogRequest.DiscardUnknown(m)
}

var xxx_messageInfo_LogRequest proto.InternalMessageInfo

func (m *LogRequest) GetSeverity() LogSeverity {
	if m != nil {
		return m.Severity
	}
	return LogSeverity_DEBUG
}

func (m *LogRequest) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *LogRequest) GetUrn() string {
	if m != nil {
		return m.Urn
	}
	return ""
}

func (m *LogRequest) GetStreamId() int32 {
	if m != nil {
		return m.StreamId
	}
	return 0
}

func init() {
	proto.RegisterType((*LogRequest)(nil), "pulumirpc.LogRequest")
	proto.RegisterEnum("pulumirpc.LogSeverity", LogSeverity_name, LogSeverity_value)
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for Engine service

type EngineClient interface {
	// Log logs a global message in the engine, including errors and warnings.
	Log(ctx context.Context, in *LogRequest, opts ...grpc.CallOption) (*empty.Empty, error)
}

type engineClient struct {
	cc *grpc.ClientConn
}

func NewEngineClient(cc *grpc.ClientConn) EngineClient {
	return &engineClient{cc}
}

func (c *engineClient) Log(ctx context.Context, in *LogRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := grpc.Invoke(ctx, "/pulumirpc.Engine/Log", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for Engine service

type EngineServer interface {
	// Log logs a global message in the engine, including errors and warnings.
	Log(context.Context, *LogRequest) (*empty.Empty, error)
}

func RegisterEngineServer(s *grpc.Server, srv EngineServer) {
	s.RegisterService(&_Engine_serviceDesc, srv)
}

func _Engine_Log_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LogRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EngineServer).Log(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pulumirpc.Engine/Log",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EngineServer).Log(ctx, req.(*LogRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Engine_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pulumirpc.Engine",
	HandlerType: (*EngineServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Log",
			Handler:    _Engine_Log_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "engine.proto",
}

func init() { proto.RegisterFile("engine.proto", fileDescriptor_engine_fba9c4feb5d1b1dc) }

var fileDescriptor_engine_fba9c4feb5d1b1dc = []byte{
	// 258 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x54, 0x50, 0x4d, 0x4b, 0xc3, 0x40,
	0x10, 0xed, 0x36, 0xfd, 0x48, 0xa6, 0x22, 0x61, 0xc0, 0x12, 0xe2, 0x25, 0xf4, 0x14, 0x3c, 0x6c,
	0x21, 0x82, 0x07, 0x4f, 0x2a, 0xc6, 0x12, 0x08, 0x29, 0xac, 0x88, 0xe7, 0x56, 0xc7, 0x25, 0xd0,
	0x64, 0x63, 0xb2, 0x2b, 0xf4, 0x1f, 0xf8, 0xb3, 0x25, 0x69, 0x1b, 0xec, 0x6d, 0xde, 0x07, 0x33,
	0xf3, 0x1e, 0x5c, 0x50, 0x29, 0xf3, 0x92, 0x78, 0x55, 0x2b, 0xad, 0xd0, 0xa9, 0xcc, 0xce, 0x14,
	0x79, 0x5d, 0x7d, 0xf8, 0xd7, 0x52, 0x29, 0xb9, 0xa3, 0x65, 0x27, 0x6c, 0xcd, 0xd7, 0x92, 0x8a,
	0x4a, 0xef, 0x0f, 0xbe, 0xc5, 0x2f, 0x03, 0x48, 0x95, 0x14, 0xf4, 0x6d, 0xa8, 0xd1, 0x18, 0x81,
	0xdd, 0xd0, 0x0f, 0xd5, 0xb9, 0xde, 0x7b, 0x2c, 0x60, 0xe1, 0x65, 0x34, 0xe7, 0xfd, 0x26, 0x9e,
	0x2a, 0xf9, 0x7a, 0x54, 0x45, 0xef, 0x43, 0x0f, 0xa6, 0x05, 0x35, 0xcd, 0x46, 0x92, 0x37, 0x0c,
	0x58, 0xe8, 0x88, 0x13, 0x44, 0x17, 0x2c, 0x53, 0x97, 0x9e, 0xd5, 0xb1, 0xed, 0x88, 0x3e, 0xd8,
	0x8d, 0xae, 0x69, 0x53, 0x24, 0x9f, 0xde, 0x28, 0x60, 0xe1, 0x58, 0xf4, 0xf8, 0xe6, 0x1e, 0x66,
	0xff, 0x0e, 0xa0, 0x03, 0xe3, 0xe7, 0xf8, 0xe9, 0x6d, 0xe5, 0x0e, 0xd0, 0x86, 0x51, 0x92, 0xbd,
	0xac, 0x5d, 0x86, 0x33, 0x98, 0xbe, 0x3f, 0x8a, 0x2c, 0xc9, 0x56, 0xee, 0xb0, 0x75, 0xc4, 0x42,
	0xac, 0x85, 0x6b, 0x45, 0x0f, 0x30, 0x89, 0xbb, 0xf8, 0x78, 0x07, 0x56, 0xaa, 0x24, 0x5e, 0x9d,
	0xbf, 0x7d, 0xcc, 0xe7, 0xcf, 0xf9, 0xa1, 0x0c, 0x7e, 0x2a, 0x83, 0xc7, 0x6d, 0x19, 0x8b, 0xc1,
	0x76, 0xd2, 0x31, 0xb7, 0x7f, 0x01, 0x00, 0x00, 0xff, 0xff, 0xa9, 0x1d, 0x42, 0x33, 0x47, 0x01,
	0x00, 0x00,
}
